Bug 173781 - emacs uses /usr/X11R6/lib/X11/locale/locale.alias
emacs uses /usr/X11R6/lib/X11/locale/locale.alias
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-20 20:12 EST by Paul Dickson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 21.4-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 22:56:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Dickson 2005-11-20 20:12:32 EST
Description of problem:
Emacs is still using the pre-modular-X locale files.  I still have these files,
but they are no longer owned by a package.  Locale is apparently now part of
glibc-common and in another location.

Version-Release number of selected component (if applicable):
emacs-21.4-8
glibc-common-2.3.90-17

How reproducible:
Always

Steps to Reproduce:
1. strace -o fooo emacs (from gnome-terminal)
2. Ctr-X Ctrl-C
3. grep X11R6 
  
Actual results:
No references to X11R6

Expected results:


Additional info:
Comment 1 Jens Petersen 2005-11-21 23:06:57 EST
Reproduced.  Is it causing you any hardship?

This might be caused by "lisp/international/mule-cmds.el":
could you try patching that (and rebuilding probably) to see if it helps.
Comment 2 Jens Petersen 2006-02-03 02:49:38 EST
Adding the new path in the next build: should be fixed in emacs-21.4-12.
Comment 3 Jens Petersen 2006-03-27 22:56:36 EST
Fix should be in FC5.

Note You need to log in before you can comment on or make changes to this bug.